Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.system
Class BatchInboundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationException
                  com.stc.connector.batchadapter.system.BatchInboundException

All Implemented Interfaces:
  java.io.Serializable

    public class BatchInboundException

extends com.stc.connector.appconn.common.ApplicationException

Author:
  rchen
See Also:
  Serialized Form

Constructor Summary
`BatchInboundException()` Creates a new instance of BatchInboundException
`BatchInboundException(java.lang.String msg)` Constructs an instance of `BatchInboundException` with the specified detail message.
`BatchInboundException(java.lang.String msg, java.lang.Exception ex)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchInboundException

    public BatchInboundException()

  Creates a new instance of BatchInboundException

### BatchInboundException

    public BatchInboundException(java.lang.String msg)

  Constructs an instance of `BatchInboundException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### BatchInboundException

    public BatchInboundException(java.lang.String msg,
                                 java.lang.Exception ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD